Send an eligibility request to a partner
The Bango Platform uses this endpoint to send an eligibility request to a partner.
Every request sent may result in a range of possible responses from the partner.
Every request will include a unique requestId property (UUID v4). This identifies the request and is not used for any other purpose. The corresponding response to the request must include the requestId.
HTTP responses
The Bango Platform always sends a request to the partner over HTTP, and the partner must return an HTTP response. HTTP requests contain request types as defined in this specification.
The HTTP response MUST be one of the following:
- HTTP 200 OK - containing a response payload in the response body. Each request defines the expected responses
- HTTP 4xx - indicating a problem with the request
- HTTP 5xx - indicating a problem with the partner system
This specification defines the shape of HTTP 4xx and 5xx responses. These all have a response body containing an errors array, each member of which is an object containing an error code and other data.
If a request to a partner times out, this is treated the same as an HTTP 503 error from the partner with canRetry: true.
HTTP 400 BAD REQUEST responses
For HTTP 400 BAD REQUEST responses specifically, the partner MUST use these values for code for the error conditions listed:
invalid-json- If the request body isn’t valid JSON format
missing-parameter- If any required parameter is not present in the request body. For example,
id,type,payload, or any required value insidepayload.
- If any required parameter is not present in the request body. For example,
invalid-parameter- If any parameter in the request is syntactically invalid. For example, if
typeis an integer, or ifidis not a UUID v4. - If any parameter in the request is semantically invalid. For example, if a
payloadfield specifies a user identifier and that user isn’t recognized by the partner.
- If any parameter in the request is syntactically invalid. For example, if
HTTP 5xx responses
HTTP 5xx responses may indicate a problem on the partner’s side. This might be a temporary problem caused by a network issue between the Bango Platform and the partner, or it may indicate a more serious, persistent issue.
Any 5xx response from the partner propagates through the platform as a service error with code partner-failure. The 5xx response from the partner may specify that the request can be retried, using the metadata.canRetry boolean in the 5xx response.
A timeout in the connection from the Bango Platform to the partner is always reported as a partner-failure that may be retried.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
URL used to perform the eligibility check.
Body
A request initiated by the Bango Platform, to be processed by the partner.
The following request types are available. See each request type schema for detailed information on purpose and response payload types.
OFFERS_ELIGIBILITY_CHECK: Ask the partner up-to-date eligibility data across for a specific offer or for all available offers for a consumer.
Ask the partner for all available offers eligibility up-to-date for a consumer.
The consumer is identified using consumer properties that contains the identification of the consumer, frequently the consumerId.
Unique ID associated with request/response to an API.
"85d814e6-7ca7-4753-8477-5363b67a6091"
Indicates the type of the eligibility check being requested.
OFFERS_ELIGIBILITY_CHECK "OFFERS_ELIGIBILITY_CHECK"
Response
The response payload, which depends on the request type.
Supported HTTP responses
- HTTP 200 OK:
ELIGIBILITY_RETRIEVEDELIGIBILITY_DENIED
- ELIGIBILITY_RETRIEVED response payload
- ELIGIBILITY_DENIED response payload
This is one of the two responses to an OFFERS_ELIGIBILITY_CHECK request. It Contains information about the consumer's eligibility for offers. This response is used when any eligibility information was provided by the partner.

